<template>
    <div></div>
</template>

<script>
import { MessageBox } from 'mint-ui';
export default {
    name: "qrcodeCallback",
    mounted () {
        this.qrcodeCallBack();
    },
    methods:{
        qrcodeCallBack(){
            let title = "";
            let redirect= '';
            let url = window.location.hash;
            let urlArry = url.split("&");
            for(var i=0; i<urlArry.length; i++){
                let name = urlArry[i].split("=");
                if(name[0] == "redirect"){
                    redirect = decodeURIComponent(name[1]);
                }
                if(name[0] == "title"){
                    title = decodeURIComponent(name[1]);
                }
            }
            this.messagebox(title, redirect);
            
        },
        messagebox(title, redirect){
            MessageBox({
                title: title,
                message: '你正在进行"'+ title +'"操作，是否确认',
                showCancelButton: true,
                confirmButtonText:"确认",
                cancelButtonText:"取消",
            }).then(action => {
                if(action == 'confirm'){
                    this.$api.getQrcodeResult(redirect,{
                        onSucess: (res) => {
                            let title = "";
                            let content = "";
                            if(res.data.type == 1){
                                title = "操作成功";
                            }else if(res.data.type == 2 || res.data.type == 3){
                                title = "温馨提示";
                            }else if(res.data.type == 4){
                                title = "操作失败";
                            }
                            content = res.data.content;
                            this.resultMessageBox(title, content);
                        }
                    })
                }else{
                    alert("关闭");
                    WeixinJSBridge.call("closeWindow");
                }
            })
        },
        resultMessageBox(title, content){
            MessageBox({
                title: title,
                message: content,
            }).then(() => {
                WeixinJSBridge.call("closeWindow");
            })
        }
    }
}
</script>
